% EZDashboard_Usage

% EZDashboard is used to open a serial port and launch GUIs of devices
% based on EZStepper motor controller, which are on the same serial line.
% There are two ways to start EZDashboard:

% 1.
EZDashboard
% EZDashboard without parameters starts GUI. The user must type the COMx
% number and click on Open Port button. After the port is open the other 
% buttons become active and devices can be launched. When the EZDashboard 
% panel is closed the port is closed too.

% 2.
% Before use open serial port.
[s,error] = EZStepperOpenSerial('COM1');
% Call EZDashboard with open port object parameter. 
% All launch buttons will be active.
EZDashboard('PortObj',s);
% When EZDashboard is closed the serial port is not closed.
% Close Serial port.
[error] = EZStepperCloseSerial(s);
