function error = EZStepperCloseSerial(serialobj)
%CLOSE SERIAL PORT ASSOCIATED WITH serialobj
global EZStepperLog
try
    fclose(serialobj); 
    delete(serialobj); 
    clear serialobj;
    EZStepperLog = '-';
    if(nargout>0)
        error = 0;
    end
catch ME
    EZStepperLog = [EZStepperLog 'serial,fclose failed' crlf ME.message crlf];
    if(nargout>0)
        error = 1;
    end
end
