%FocusDrive_Test1
[s,err01] = EZStepperOpenSerial('COM4');
fd = FocusDrive('PortObj', s, 'ControllerName', 2, 'StrokePerRotation', 100, 'MotorSteps', 400, 'WithLimits', 1, ...
    'HoldCurrent', 5, 'RunCurrent', 25, 'StepDivide', 256, 'SlewVelocity', 500, 'InitVelocity', 10, 'Ramp', 0.75, 'Log', 1);
err02 = ZOrigin(fd);
r1 = get(fd,'Ramp');
[pos1, err03] = ZPos(fd);
err04 = ZRelative(fd,-1000);
err05 = ZWait(fd);
[pos2, err06] = ZPos(fd);
set(fd, 'SlewVelocity', 800, 'InitVelocity', 14, 'Ramp', 2);
r2 = get(fd,'Ramp');
err07 = ZRelative(fd,-1000);
err08 = ZWait(fd);
[pos3, err09] = ZPos(fd);
err10 = ZAbsolute(fd,555);
err11 = ZWait(fd);
[pos4, err12] = ZPos(fd);
err13 = ZJog(fd, 150);
pause(2.5);
err14 = ZStop(fd);
err15 = ZHome(fd,500); %COMMENT THIS OUT IF YOU DO NOT HAVE FOCUS LIMITS
err16 = ZWait(fd);
log = EZStepperLog();
delete(fd);
clear fd;
err17 = EZStepperCloseSerial(s); %also clears log
clear;
